Subject: [saag] CFRG meeting report

From: Alexey Melnikov <[email-masked]>
Date: Tue, 3 Nov 2015 13:57:08 +0900

CFRG IRTF Research Group met on Monday. Short status of RG documents was
presented, the most important being:

1) Elliptic Curves for Security (draft-irtf-cfrg-curves-11) is in RFC
Editor's queue.

2) Edwards-curve Digital Signature Algorithm (draft-irtf-cfrg-eddsa-00)
needs to specify KDF and pre-hash functions for ed448, but otherwise it
is heading in the right direction. Definition of ed25519 is stable at
this point.

There was one presentation on "FSU: Identity-based Authenticated Key
Exchange".

The rest of the meeting was spent discussing which topics CFRG should
work on next after finishing currently outstanding EC work.

We finished 30 minutes early.